Page MenuHomePhabricator

Wikimedia Developer Summit 2017 Opening
Closed, ResolvedPublic

Description

This will be the task where we decide the order of introductions / content for the opening of the Developer Summit.

This will include event and logistics information, program information, the keynote by Ward, any anything else that we need. Possibly a social /meet your neighbor or someone new moment.

--Tentative Plan--
Speakers:
Rachel - welcome, logistics, venue layout, social events, session request templates, video recording, request for help to communally build a good hacking day, friendly space, how we have changed from last year,
Srishti - session roles (gatekeeper, facilitator, scribe(s), timekeeper), session facilitation & facilitation tips, where to go for help meeting people of finding a discussion, unconference scheduling instructions, lead the social moment
Quim - Program information
Rachel - opening the event
***am I missing anyone? Am I missing anything?

My question: should there be some time during the opening to allow participants who are running sessions who want to pitch their sessions or ask for help? I am leaning towards yes... but lets discuss if it is a good idea and what that would look like here.

We should make some slides... Last years slides are here: https://phabricator.wikimedia.org/T121640

Event Timeline

Rfarrand created this task.Nov 23 2016, 9:26 PM
Rfarrand renamed this task from Wikimedia Developer Summit Opening to Wikimedia Developer Summit 2017 Opening.Nov 23 2016, 9:30 PM

What about having separate slots for the opening and the keynote (which, ahem, hasn't been announced and we are still polishing), each one with their own time limits?

Rfarrand updated the task description. (Show Details)Nov 28 2016, 6:32 PM

Sounds good, I have removed info about the keynote

Qgil added a comment.Dec 8 2016, 10:26 AM

And a new idea: what about giving a chance to Unconference session promoters to pitch their session very briefly (as in 20 seconds) during the opening? This is especially useful for sessions looking for volunteers (as opposed to those about specific topics where almost everybody knows each other). The idea comes from T149372#2846749

Yes - I would like that to be incorporated as well. 20 seconds will be interesting...

We will work on the specifics the week before the event, for now please continue here with suggestions

cscott added a subscriber: cscott.Jan 4 2017, 10:24 PM

It's now "the week before the event"! I like incorporating unconference pitch sessions. Perhaps also pitch sessions by the scheduled sessions, if they are brief. "Whirlwind tour of today's sessions", unconference and conference.

To the owner of this session: Here is the link to the session guidelines page: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Session_Guidelines. We encourage you to recruit Note-taker(s) 2(min) and 3(max), Remote Moderator, and Advocate (optional) on the spot before the beginning of your session. Instructions about each role player's task are outlined in the guidelines. The physical version of the role cards will be made available in all the session rooms. Good luck prepping, see you at the summit! :)

Rfarrand added a subscriber: daniel.Jan 7 2017, 3:30 AM

@cscott yup! We are doing an "open mic" and anyone who wants to talk about their session can, but nobody is forced to do so.

Otherwise:
Slides have been made, still need some work refining the actual things I will say.

The new plan is:

Rachel opens & provides all program and logistic information. We do an open mic. @daniel introduces Ward.

Qgil updated the task description. (Show Details)Jan 9 2017, 5:33 PM

Note-taker(s) of this session: Follow the instructions here: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Session_Guidelines#NOTE-TAKER.28S.29 After the session, DO NOT FORGET to copy the relevant notes and summary into a new wiki page following the template here: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Your_Session and also link this from the All Session Notes page: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/All_Session_Notes. The EtherPad links are also now linked from the Schedule page (https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Schedule) for you!

Rfarrand closed this task as Resolved.Jan 9 2017, 10:38 PM

Completed this morning, feedback on improvements welcome.
Closing task.

Qgil awarded a token.Jan 10 2017, 11:32 PM